# norootforbuild
%define pkg_name    ssh2
%define pkg_version 0.12
%define php_version %(php-config --version 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
#
Name: php-ssh2
Version: 0.12
Release: 6.4
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php-devel libssh2-devel >= 1.2
Requires: php = %{php_version}
Requires: libssh2 >= 1.2
#
URL: http://pecl.php.net/ssh2
Source: http://pecl.php.net/package/ssh2/%{pkg_name}-%{version}.tgz
Patch3: php5-ssh2-stream-segfault-fix.patch

Summary: Bindings for the libssh2 library
%description

Provides bindings to the functions of libssh2 which implements the SSH2 protocol.

Authors:
---------

	Sara Golemon <pollita@php.net>

%debug_package
%prep
%setup -n %{pkg_name}-%{version}
%patch3

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-ssh2=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php.d
echo "; comment out next line to disable ssh2 extension in php" > %{buildroot}%{_sysconfdir}/php.d/ssh2.ini
echo 'extension = ssh2.so' >> %{buildroot}%{_sysconfdir}/php.d/ssh2.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php/modules/ssh2.so
%config(noreplace) %{_sysconfdir}/php.d/ssh2.ini

#%doc CREDITS 

%changelog
* Sun Feb 17 2013 cs@linux-administrator.com
- update to 0.12
